## com.vividsolutions.jts.simplify
Class DouglasPeuckerSimplifier

    java.lang.Object
      com.vividsolutions.jts.simplify.DouglasPeuckerSimplifier

public class DouglasPeuckerSimplifier
extends java.lang.Object

Simplifies a `Geometry` using the standard Douglas-Peucker algorithm. Ensures that any polygonal geometries returned are valid. Simple lines are not guaranteed to remain simple after simplification.

Note that in general D-P does not preserve topology - e.g. polygons can be split, collapse to lines or disappear holes can be created or disappear, and lines can cross. To simplify geometry while preserving topology use `TopologyPreservingSimplifier`. (However, using D-P is significantly faster).

Version:
  1.7

Constructor Summary
`DouglasPeuckerSimplifier(Geometry inputGeom)`

Method Summary
`Geometry` `getResultGeometry()`
`void` `setDistanceTolerance(double distanceTolerance)` Sets the distance tolerance for the simplification.
`static Geometry` `simplify(Geometry geom, double distanceTolerance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DouglasPeuckerSimplifier

    public DouglasPeuckerSimplifier(Geometry inputGeom)

Method Detail

### simplify

    public static Geometry simplify(Geometry geom,
                                    double distanceTolerance)

### setDistanceTolerance

    public void setDistanceTolerance(double distanceTolerance)

  Sets the distance tolerance for the simplification. All vertices in the simplified geometry will be within this distance of the original geometry. The tolerance value must be non-negative. A tolerance value of zero is effectively a no-op.

  Parameters:
    `distanceTolerance` - the approximation tolerance to use

### getResultGeometry

    public Geometry getResultGeometry()